Bug 773136 - [Search run] Unable simple and advanced search run
[Search run] Unable simple and advanced search run
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.6
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Yang Ren
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-10 22:17 EST by Jin Zhao
Modified: 2015-12-01 00:35 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.6.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Search run - Error page (102.72 KB, image/png)
2012-01-10 22:17 EST, Jin Zhao
no flags Details

  None (edit)
Description Jin Zhao 2012-01-10 22:17:01 EST
Created attachment 551994 [details]
Search run - Error page

Description of problem:
Simple or advanced search run , will turn to error page

Version-Release number of selected component (if applicable):
3.6.3 on englab

How reproducible:
always

Steps to Reproduce:
1.Enter to Testing->search run, or Click Advanced search
2.Type the search item, Click search (Advanced search click search run)
3.
  
Actual results:
TemplateSyntaxError at /runs/
TemplateSyntaxError at /advance-search/

Error page as attachment (Advance search)

Expected results:
Can search run via filter item

Additional info:
Comment 1 Chaobin Tang 2012-01-11 04:53:57 EST
commit e15ae4b751f78f894e71ad892dbddada9cdd744a
Author: Tang Chaobin <ctang@redhat.com>
Date:   Wed Jan 11 01:51:17 2012 -0800
FIX: Omitted the extra() call on a TestRun queryset.

This is a programming error due to a problematic extra call applied on TestRun queryset, which is supposed to be removed after that certain of properties added on TestRun model in optimizing TCMS performance.
Comment 2 Xin Gao 2012-01-12 02:01:10 EST
Verify version:
3.6.3-2 on englab --> PASSED

Verify steps:
1.Enter to Testing->search run, or Click Advanced search
2.Type the search item, Click search (Advanced search click search run)
3.

Actual results:
work well.

Note You need to log in before you can comment on or make changes to this bug.